gora-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Damien Raude-Morvan (Jira)" <j...@apache.org>
Subject [jira] [Commented] (GORA-646) Run integration tests on MongoDB 4.0 and 4.2
Date Wed, 18 Mar 2020 22:32:00 GMT

    [ https://issues.apache.org/jira/browse/GORA-646?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17062096#comment-17062096
] 

Damien Raude-Morvan commented on GORA-646:
------------------------------------------

_MongoDB_ 4.2 support is [not yet included into de.flapdoodle.embed.mongo|https://github.com/flapdoodle-oss/de.flapdoodle.embed.mongo/issues/295]
framework used in {{gora-mongodb}} module.

So, for now, we will not be able to support running integration tests under MongoDB 4.2

 

> Run integration tests on MongoDB 4.0 and 4.2
> --------------------------------------------
>
>                 Key: GORA-646
>                 URL: https://issues.apache.org/jira/browse/GORA-646
>             Project: Apache Gora
>          Issue Type: Test
>          Components: gora-mongodb
>    Affects Versions: 0.9
>            Reporter: Damien Raude-Morvan
>            Assignee: Damien Raude-Morvan
>            Priority: Major
>
> I would like to follow upstream (MongoDB) support policy for *testing* our {{gora-mongodb}}
module. For reference:
>  * [https://www.mongodb.com/support-policy]
>  * [https://docs.mongodb.com/manual/administration/production-notes/#x86-64]
> My action plan is to:
>  # Add new integration tests profiles for MongoDB 3.6, 4.0 and -4.2-
>  # Remove old MongoDB 2.6, 3.0 and 3.2 profiles for _unsupported_ releases



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message